# Public

## GET /api/v1/public/{circle\_id}/lc-details/

> Retrieve Lc Details.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CommonLcDetailsResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{"type":"string"},"default":{}},"response":{"$ref":"#/components/schemas/CommonLcDetailsData"}},"required":["response"]},"CommonLcDetailsData":{"type":"object","properties":{"name":{"type":"string"},"circle_code":{"type":"string"},"note":{"type":"string","nullable":true},"day":{"type":"string","nullable":true},"college":{"type":"string","nullable":true},"members":{"type":"array","items":{"type":"object","additionalProperties":{}}},"rank":{"type":"integer","nullable":true},"total_karma":{"type":"integer"},"ig_id":{"type":"string"},"ig_name":{"type":"string"},"ig_code":{"type":"string"}},"required":["circle_code","college","day","ig_code","ig_id","ig_name","members","name","note","rank","total_karma"]}}},"paths":{"/api/v1/public/{circle_id}/lc-details/":{"get":{"operationId":"public_lc_details_retrieve","description":"Retrieve Lc Details.","parameters":[{"in":"path","name":"circle_id","schema":{"type":"string"},"required":true}],"tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CommonLcDetailsResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/college-wise-lc-report/

> Retrieve College Wise Lc Report.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CollegeInfo":{"type":"object","properties":{"org_title":{"type":"string"},"learning_circle_count":{"type":"string"},"user_count":{"type":"string"}},"required":["learning_circle_count","org_title","user_count"]}}},"paths":{"/api/v1/public/college-wise-lc-report/":{"get":{"operationId":"public_college_wise_lc_report_retrieve","description":"Retrieve College Wise Lc Report.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CollegeInfo"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/college-wise-lc-report/csv/

> Retrieve College Wise Lc Report C S V.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CollegeInfo":{"type":"object","properties":{"org_title":{"type":"string"},"learning_circle_count":{"type":"string"},"user_count":{"type":"string"}},"required":["learning_circle_count","org_title","user_count"]}}},"paths":{"/api/v1/public/college-wise-lc-report/csv/":{"get":{"operationId":"public_college_wise_lc_report_csv_retrieve","description":"Retrieve College Wise Lc Report C S V.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CollegeInfo"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/external/user/

> Retrieve External User Details.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"ExternalUserDetails":{"type":"object","description":"Serializer for external API to fetch basic public user details.\n\nThis serializer is specifically designed for external website integration,\nreturning only non-sensitive public information about users.\n\nExcludes: email, mobile, password, and other sensitive fields","properties":{"full_name":{"type":"string","maxLength":150},"muid":{"type":"string","maxLength":100},"interest_groups":{"type":"string","readOnly":true},"organizations":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"karma":{"type":"integer","default":0}},"required":["full_name","interest_groups","muid","organizations","profile_pic"]}}},"paths":{"/api/v1/public/external/user/":{"get":{"operationId":"public_external_user_retrieve","description":"Retrieve External User Details.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/ExternalUserDetails"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/global-count/

> Retrieve Global Count.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CommonGlobalCountResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{"type":"string"},"default":{}},"response":{"$ref":"#/components/schemas/CommonGlobalCountData"}},"required":["response"]},"CommonGlobalCountData":{"type":"object","properties":{"members":{"type":"integer","description":"Total registered user count"},"org_type_counts":{"type":"array","items":{"$ref":"#/components/schemas/CommonOrgTypeCount"},"description":"Count of organisations per type (college, company, community)"},"enablers_mentors_count":{"type":"array","items":{"$ref":"#/components/schemas/CommonRoleCount"},"description":"Count of users with enabler / mentor roles"},"ig_count":{"type":"integer","description":"Total interest group count"},"learning_circle_count":{"type":"integer","description":"Total learning circle count"}},"required":["enablers_mentors_count","ig_count","learning_circle_count","members","org_type_counts"]},"CommonOrgTypeCount":{"type":"object","properties":{"org_type":{"type":"string"},"org_count":{"type":"integer"}},"required":["org_count","org_type"]},"CommonRoleCount":{"type":"object","properties":{"role__title":{"type":"string"},"role_count":{"type":"integer"}},"required":["role__title","role_count"]}}},"paths":{"/api/v1/public/global-count/":{"get":{"operationId":"public_global_count_retrieve","description":"Retrieve Global Count.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CommonGlobalCountResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/gta-sandshore/

> Retrieve G T A S A N D S H O R E.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CommonGtasandshoreResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{"type":"string"},"default":{}},"response":{"type":"object","additionalProperties":{"type":"integer"},"description":"Map of normalised college name → submission count from devfolio"}},"required":["response"]}}},"paths":{"/api/v1/public/gta-sandshore/":{"get":{"operationId":"public_gta_sandshore_retrieve","description":"Retrieve G T A S A N D S H O R E.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CommonGtasandshoreResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/ig/{id}/

> Retrieve I G Detail.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"InterestGroup":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"resource":{"type":"string","nullable":true},"about":{"type":"string","nullable":true},"prerequisites":{"type":"string","nullable":true},"career_opportunities":{"type":"string","nullable":true},"top_blogs":{"type":"string","nullable":true},"people_to_follow":{"type":"string","nullable":true},"leads":{"type":"string","nullable":true},"mentors":{"type":"string","nullable":true},"thinktank":{"type":"string","nullable":true},"office_hours":{"type":"string","nullable":true,"maxLength":200},"icon":{"type":"string","maxLength":10},"code":{"type":"string","maxLength":10},"category":{"enum":["maker","coder","creative","manager","others"],"type":"string","description":"* `maker` - maker\n* `coder` - coder\n* `creative` - creative\n* `manager` - manager\n* `others` - others"},"status":{"enum":["active","requested","cancelled","rejected"],"type":"string","description":"* `active` - active\n* `requested` - requested\n* `cancelled` - cancelled\n* `rejected` - rejected"},"members":{"type":"string","readOnly":true},"updated_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_by":{"type":"string"},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["category","code","created_at","created_by","icon","members","name","status","updated_at","updated_by"]}}},"paths":{"/api/v1/public/ig/{id}/":{"get":{"operationId":"public_ig_retrieve","description":"Retrieve I G Detail.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/InterestGroup"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/jobs/

> Public endpoint to list all active jobs.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"JobList":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"company_name":{"type":"string","readOnly":true},"company_logo":{"type":"string","readOnly":true},"title":{"type":"string","maxLength":75},"experience":{"type":"string","nullable":true,"maxLength":20},"job_description":{"type":"string","nullable":true},"location":{"type":"string","nullable":true,"maxLength":75},"salary_range":{"type":"string","nullable":true,"maxLength":36},"job_type":{"type":"string","maxLength":20},"status":{"type":"string","maxLength":20},"duration_value":{"type":"integer","maximum":65535,"minimum":0,"nullable":true},"duration_unit":{"type":"string","nullable":true,"maxLength":20},"hourly_rate":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","nullable":true},"deliverables":{"nullable":true},"stipend":{"type":"string","nullable":true,"maxLength":75},"certificate_provided":{"type":"string","nullable":true,"maxLength":3},"rules":{"type":"array","items":{"$ref":"#/components/schemas/JobRule"},"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["company_logo","company_name","created_at","job_type","rules","title"]},"JobRule":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"rule_type":{"type":"string","maxLength":50},"rule_value":{"type":"string","maxLength":150}},"required":["id","rule_type","rule_value"]}}},"paths":{"/api/v1/public/jobs/":{"get":{"operationId":"public_jobs_list","description":"Public endpoint to list all active jobs.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/JobList"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/lc-dashboard/

> Retrieve Lc Dashboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CommonLcDashboardResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{"type":"string"},"default":{}},"response":{"$ref":"#/components/schemas/CommonLcDashboardData"}},"required":["response"]},"CommonLcDashboardData":{"type":"object","properties":{"lc_count":{"type":"integer","description":"Total number of learning circles"},"total_enrollment":{"type":"integer","description":"Total college-student enrollments"},"circle_count_by_ig":{"type":"array","items":{"$ref":"#/components/schemas/CommonLcDashboardIgStat"},"description":"Circle and user counts grouped by interest group"},"unique_users":{"type":"integer","description":"Number of unique enrolled users"}},"required":["circle_count_by_ig","lc_count","total_enrollment","unique_users"]},"CommonLcDashboardIgStat":{"type":"object","properties":{"name":{"type":"string"},"total_circles":{"type":"integer"},"total_users":{"type":"integer"}},"required":["name","total_circles","total_users"]}}},"paths":{"/api/v1/public/lc-dashboard/":{"get":{"operationId":"public_lc_dashboard_retrieve","description":"Retrieve Lc Dashboard.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CommonLcDashboardResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/lc-enrollment/

> Retrieve Learning Circle Enrollment.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LearningCircleEnrollment":{"type":"object","properties":{"full_name":{"type":"string"},"muid":{"type":"string"},"email":{"type":"string"},"dwms_id":{"type":"string","nullable":true},"circle_name":{"type":"string"},"circle_ig":{"type":"string"},"organisation":{"type":"string"},"district":{"type":"string","nullable":true},"karma_earned":{"type":"integer"}},"required":["circle_ig","circle_name","district","dwms_id","email","full_name","karma_earned","muid","organisation"]}}},"paths":{"/api/v1/public/lc-enrollment/":{"get":{"operationId":"public_lc_enrollment_retrieve","description":"Retrieve Learning Circle Enrollment.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/LearningCircleEnrollment"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/lc-enrollment/csv/

> Retrieve Learning Circle Enrollment C S V.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LearningCircleEnrollment":{"type":"object","properties":{"full_name":{"type":"string"},"muid":{"type":"string"},"email":{"type":"string"},"dwms_id":{"type":"string","nullable":true},"circle_name":{"type":"string"},"circle_ig":{"type":"string"},"organisation":{"type":"string"},"district":{"type":"string","nullable":true},"karma_earned":{"type":"integer"}},"required":["circle_ig","circle_name","district","dwms_id","email","full_name","karma_earned","muid","organisation"]}}},"paths":{"/api/v1/public/lc-enrollment/csv/":{"get":{"operationId":"public_lc_enrollment_csv_retrieve","description":"Retrieve Learning Circle Enrollment C S V.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/LearningCircleEnrollment"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/lc-list

> Retrieve Lc List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CommonLcListResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{"type":"string"},"default":{}},"response":{"type":"array","items":{"$ref":"#/components/schemas/CommonLcListItem"}},"pagination":{"type":"object","additionalProperties":{"type":"integer"}}},"required":["pagination","response"]},"CommonLcListItem":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"ig_name":{"type":"string"},"org_name":{"type":"string","nullable":true},"member_count":{"type":"integer"},"members":{"type":"array","items":{"type":"object","additionalProperties":{}},"nullable":true},"meet_place":{"type":"string","nullable":true},"meet_time":{"type":"string","nullable":true},"lead_name":{"type":"string","nullable":true},"karma":{"type":"integer"}},"required":["id","ig_name","karma","lead_name","meet_place","meet_time","member_count","members","name","org_name"]}}},"paths":{"/api/v1/public/lc-list":{"get":{"operationId":"public_lc_list_retrieve","description":"Retrieve Lc List.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CommonLcListResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/lc-report/

> Retrieve Lc Report.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"StudentInfo":{"type":"object","properties":{"full_name":{"type":"string"},"muid":{"type":"string"},"circle_name":{"type":"string"},"circle_ig":{"type":"string"},"organisation":{"type":"string"},"dwms_id":{"type":"string","nullable":true},"karma_earned":{"type":"integer"}},"required":["circle_ig","circle_name","dwms_id","full_name","karma_earned","muid","organisation"]}}},"paths":{"/api/v1/public/lc-report/":{"get":{"operationId":"public_lc_report_retrieve","description":"Retrieve Lc Report.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/StudentInfo"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/lc-report/csv/

> Retrieve Lc Report Download.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"StudentInfo":{"type":"object","properties":{"full_name":{"type":"string"},"muid":{"type":"string"},"circle_name":{"type":"string"},"circle_ig":{"type":"string"},"organisation":{"type":"string"},"dwms_id":{"type":"string","nullable":true},"karma_earned":{"type":"integer"}},"required":["circle_ig","circle_name","dwms_id","full_name","karma_earned","muid","organisation"]}}},"paths":{"/api/v1/public/lc-report/csv/":{"get":{"operationId":"public_lc_report_csv_retrieve","description":"Retrieve Lc Report Download.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/StudentInfo"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/leaderboard/top-100/

> Retrieve Beken.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserLeaderboard":{"type":"object","properties":{"full_name":{"type":"string","readOnly":true},"karma":{"type":"integer"},"interest_groups":{"type":"string","readOnly":true},"organizations":{"type":"string","readOnly":true}},"required":["full_name","interest_groups","karma","organizations"]}}},"paths":{"/api/v1/public/leaderboard/top-100/":{"get":{"operationId":"public_leaderboard_top_100_retrieve","description":"Retrieve Beken.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserLeaderboard"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/list-ig/

> Retrieve List I G.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CommonListIGResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{"type":"string"},"default":{}},"response":{"type":"array","items":{"$ref":"#/components/schemas/CommonListIGItem"},"description":"All interest groups"}},"required":["response"]},"CommonListIGItem":{"type":"object","properties":{"name":{"type":"string","description":"Interest group name"}},"required":["name"]}}},"paths":{"/api/v1/public/list-ig/":{"get":{"operationId":"public_list_ig_retrieve","description":"Retrieve List I G.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CommonListIGResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/list-ig-top100/

> Retrieve List Top Ig Users.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CommonListTopIgUsersResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{"type":"string"},"default":{}},"response":{"type":"array","items":{"$ref":"#/components/schemas/CommonTopIgUserItem"},"description":"Top 100 users ranked by karma in the requested interest groups"}},"required":["response"]},"CommonTopIgUserItem":{"type":"object","properties":{"userid":{"type":"string","description":"User UUID"},"muid":{"type":"string","description":"User unique identifier"},"full_name":{"type":"string"},"ig_karma":{"type":"integer","description":"Total karma earned in the requested interest groups"},"igs":{"type":"array","items":{"type":"string"},"description":"All interest group names the user belongs to"}},"required":["full_name","ig_karma","igs","muid","userid"]}}},"paths":{"/api/v1/public/list-ig-top100/":{"get":{"operationId":"public_list_ig_top100_retrieve","description":"Retrieve List Top Ig Users.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CommonListTopIgUsersResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/list/college/

> Retrieve Lc College.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Org":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100}},"required":["title"]}}},"paths":{"/api/v1/public/list/college/":{"get":{"operationId":"public_list_college_retrieve","description":"Retrieve Lc College.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Org"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/list/country/

> Retrieve Lc Country.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Country":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75}},"required":["name"]}}},"paths":{"/api/v1/public/list/country/":{"get":{"operationId":"public_list_country_retrieve","description":"Retrieve Lc Country.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Country"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/list/district/

> Retrieve Lc District.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"District":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"zone":{"allOf":[{"$ref":"#/components/schemas/Zone"}],"readOnly":true}},"required":["name","zone"]},"Zone":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"state":{"allOf":[{"$ref":"#/components/schemas/State"}],"readOnly":true}},"required":["name","state"]},"State":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"country":{"type":"string","readOnly":true}},"required":["country","name"]}}},"paths":{"/api/v1/public/list/district/":{"get":{"operationId":"public_list_district_retrieve","description":"Retrieve Lc District.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/District"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/list/levels/

> Retrieve List All Level Info.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CommonListAllLevelInfoResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{"type":"string"},"default":{}},"response":{"type":"array","items":{"$ref":"#/components/schemas/CommonLevelItem"},"description":"Levels with their associated tasks"}},"required":["response"]},"CommonLevelItem":{"type":"object","properties":{"name":{"type":"string","description":"Level name"},"tasks":{"type":"array","items":{"$ref":"#/components/schemas/CommonLevelTask"}}},"required":["name","tasks"]},"CommonLevelTask":{"type":"object","properties":{"task_name":{"type":"string"},"discord_link":{"type":"string","nullable":true},"hashtag":{"type":"string","nullable":true},"active":{"type":"boolean"},"completed":{"type":"boolean"},"karma":{"type":"integer"},"task_description":{"type":"string","nullable":true},"interest_group":{"$ref":"#/components/schemas/CommonLevelTaskIG"},"submission_channel":{"$ref":"#/components/schemas/CommonLevelTaskChannel"}},"required":["active","completed","discord_link","hashtag","interest_group","karma","submission_channel","task_description","task_name"]},"CommonLevelTaskIG":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"CommonLevelTaskChannel":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"discord_id":{"type":"string","nullable":true}},"required":["discord_id","id","name"]}}},"paths":{"/api/v1/public/list/levels/":{"get":{"operationId":"public_list_levels_retrieve","description":"Retrieve List All Level Info.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CommonListAllLevelInfoResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/list/state/

> Retrieve Lc State.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"State":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"country":{"type":"string","readOnly":true}},"required":["country","name"]}}},"paths":{"/api/v1/public/list/state/":{"get":{"operationId":"public_list_state_retrieve","description":"Retrieve Lc State.","tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/State"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/public/profile-pic/{muid}/

> Retrieve User Profile Pic.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CommonUserProfilePicResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{"type":"string"},"default":{}},"response":{"$ref":"#/components/schemas/CommonUserProfilePicData"}},"required":["response"]},"CommonUserProfilePicData":{"type":"object","properties":{"image":{"type":"string","nullable":true,"description":"URL or path to the user's profile picture"}},"required":["image"]}}},"paths":{"/api/v1/public/profile-pic/{muid}/":{"get":{"operationId":"public_profile_pic_retrieve","description":"Retrieve User Profile Pic.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Public"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/CommonUserProfilePicResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/public.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
